import java.io.*;
import Text;
class faktoriyel
{
  public static void main(String args[]) throws IOException
  {
  int faktoriyel=1;
  DataInputStream cin=new DataInputStream(System.in);
  int faktoriyelsayi;
  System.out.println("Bir tamsayi giriniz:");
  faktoriyelsayi=Text.readInt(cin);
  for(int sayi=1;sayi<=faktoriyelsayi;sayi++)
  { faktoriyel*=sayi;}
  System.out.println(faktoriyelsayi+" faktoriyel: "+faktoriyel);
  }
}
